<?php

function fn_span_cc($aql)
{
	$data = $aql->Consume(2);
	$framea = $data[1]->value;
	$frameb = $data[0]->value;
	
	if (is_array($framea)) $framea = $framea[0];
	if (is_array($frameb)) $frameb = $frameb[0];
	
	$nfinal = array();
	$itm = array();
	$itm['from'] = $framea;
	$itm['to'] = $frameb;
	$nfinal[] = $itm;
	
	$a = new AQLStackElement();
	$a->typename = "timelist";
	$a->islist = true;
	$a->value = $nfinal;
	array_push($aql->stack,$a);
}

?>